function [pars] = create_discretized_data(pars)
% create grid by discretizing [a,b] to 2*M gridpoints x_{-M},...,x_{M-1}

% grid points
pars.x = linspace(pars.a,pars.b,2*pars.M+1);
pars.x = transpose( pars.x(1:end-1) );

% evaluate functions at grid points
pars.V = pars.V_func(pars.x);
pars.A_1 = pars.A_1_func(pars.x);
pars.psi_0 = [pars.psi_start_1_func(pars.x); pars.psi_start_2_func(pars.x)];

end