function [y,time,fft_count] = compute_method_approx(method,N,pars)

%% transform initial data
% create necessary vectors for this tau
vecs = create_multiplication_vectors(pars);
%transform initial data
phi_old = transform(pars.psi_0,0,pars,vecs);
phi_old_four = fft_2C2(phi_old);
t_start = 0;
fft_count = 0;
%% EEMR method
if strcmp(method,'EEMR')
    % do initial steps: num_start_steps steps of the one-step-method
    pars.tau = pars.tau/pars.num_start_steps;
    vecs_K = create_multiplication_vectors(pars);
    pars.tau = pars.tau*pars.num_start_steps;
    phi_new = phi_old; phi_new_four = phi_old_four;
    tic
    for k=1:pars.num_start_steps
        [phi_new,phi_new_four] = timestep_EEMR_start( ...
            phi_new,phi_new_four,t_start,pars,vecs_K);
        t_start = t_start + pars.tau/pars.num_start_steps;
        fft_count = fft_count + 2;
    end
    % further steps
    for n=2:N
        [phi_new_new,phi_new_new_four] = timestep_EEMR(...
            phi_new,phi_new_four,phi_old,phi_old_four,...
            t_start,pars,vecs);
        fft_count = fft_count + 2;
        phi_old = phi_new; phi_old_four = phi_new_four; 
        phi_new = phi_new_new; phi_new_four = phi_new_new_four;
        t_start = t_start + pars.tau;
    end
%% benchmark method
else 
    tic
    for n=1:N
        [phi_new,phi_new_four] = timestep_benchmark(...
                phi_old,phi_old_four,...
                t_start,pars,vecs);
        phi_old = phi_new; phi_old_four = phi_new_four;
        t_start = t_start + pars.tau;
        fft_count = fft_count + 5;
    end
end
%% retransform solution
y = retransform(phi_new,pars.t_end,pars);
time = toc;

end